﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp2.Pages
{
    /// <summary>
    /// Логика взаимодействия для CartPage.xaml
    /// </summary>
    public partial class CartPage : Page
    {
        List<Book> cart;
        public CartPage(List<Book> cartIn)
        {
            InitializeComponent();
            cart = cartIn;
            list.ItemsSource = cart;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            FrameClass.frame.GoBack();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            list.ItemsSource = null;
            
            var ord = new Order();
            bool storeStock = false;
            bool stock = true;
            foreach (var book in cart)
            {
                var o = new OrderBook();
                o.bookId = book.id;
                o.count = book.Count;
                o.orderId = ord.id;
                if (book.countStrore <= 0)
                {
                    storeStock = true;
                }
                else
                {
                    stock = false;
                }
                DB.data.OrderBooks.Add(o);
            }
            ord.reserved = DateTime.Now.AddDays(7);
            DB.data.Orders.Add(ord);


            DB.data.SaveChanges();
            string msg = $"Номер заказа {ord.id}\nМожно забрать - ";
            if (!storeStock)
            {
                msg += $"{DateTime.Now}\n";
            }
            else
            {
                if (stock)
                {
                    msg += $"{DateTime.Now.AddHours(72)}\n";
                }
                else
                {
                    msg += $"{DateTime.Now} и {DateTime.Now.AddHours(72)}\n";
                }
            }
            msg += $"Общее количество - {cart.Sum(a => a.Count)} шт.\n";
            msg += $"Общая сумма - {cart.Sum(a => a.price * a.Count)} руб.\n";
            msg += $"Зарезервированно до - {DateTime.Now.AddDays(7)}\n";

            MessageBox.Show(msg);
            cart.Clear();
            FrameClass.frame.Navigate(new ListPage());
        }
    }
}
